Name:          jdo2-api
Version:       2.2
Release:       19%{?dist}
Summary:       Implementation of JSR 243: Java Data Objects 2.0
License:       ASL 2.0
Url:           http://db.apache.org/jdo/
Source0:       http://svn.apache.org/repos/asf/db/jdo/tags/2.2/dist/db/jdo/2.2/jdo2-api-2.2-src.tar.gz
Source1:       jdo2-api-2.2-build.xml
# changed javax.transaction transaction-api 1.1 with geronimo-jta_1.1_spec
# fix pom version
Source2:       http://repo1.maven.org/maven2/javax/jdo/jdo2-api/2.2/jdo2-api-2.2.pom

Patch0:        jdo2-api-2.2-pom.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: javapackages-local

BuildRequires: ant
BuildRequires: geronimo-jpa
BuildRequires: geronimo-jta
BuildRequires: junit

Requires:      ant
Requires:      geronimo-jpa
Requires:      geronimo-jta
Requires:      junit

Requires:      jpackage-utils
BuildArch:     noarch

%description
The Java Data Objects 2 (JDO) API is a standard interface-based 
Java model abstraction of persistence, developed as Java Specification 
Request 243 under the auspices of the Java Community Process.

%package javadoc
Summary:       API documentation for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
cd %{name}-%{version}
cp -p %{SOURCE1} build.xml
cp -p %{SOURCE2} pom.xml
%patch0 -p0

%build
cd %{name}-%{version}
%ant jar javadoc

%install
cd %{name}-%{version}
mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%files -f %{name}-%{version}/.mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt NOTICE.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Merlin Mathesius <mmathesi@redhat.com> - 2.2-15
- Add missing BuildRequires to fix FTBFS

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 2.2-10
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2-8
- Use Requires: java-headless rebuild (#1067528)

* Fri Oct 04 2013 gil cattaneo <puntogil@libero.it> 2.2-7
- fix badurl (source file audit - 2013-09-30)
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 gil cattaneo <puntogil@libero.it> 2.2-3
- Install LICENSE.txt and NOTICE.txt included in source archive

* Thu May 31 2012 gil cattaneo <puntogil@libero.it> 2.2-2
- Install LICENSE.txt and NOTICE.txt

* Mon May 28 2012 gil cattaneo <puntogil@libero.it> 2.2-1
- Initial rpm
